package intrinsic.mx.formatters;

public class NumberBase extends Object {

	/** Accessors */

	/** Variables */
	public String thousandsSeparatorTo;
	public String thousandsSeparatorFrom;
	public String decimalSeparatorTo;
	public boolean isValid;
	public String decimalSeparatorFrom;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NumberBase() {
}

public NumberBase(Object arg0) {
}

public NumberBase(Object arg0, Object arg1) {
}

public NumberBase(Object arg0, Object arg1, Object arg2) {
}

public NumberBase(Object arg0, Object arg1, Object arg2, Object arg3) {
}


/** Static Methods */

/** Methods */
public native String formatRoundingWithPrecision(String arg0, String arg1, int arg2);
public native String formatNegative(String arg0, boolean arg1);
public native String formatPrecision(String arg0, int arg1);
public native String parseNumberString(String arg0);
public native String formatThousands(String arg0);
public native String formatDecimal(String arg0);
public native String formatRounding(String arg0, String arg1);

}
